Subject: RE: [mobile-ip] draft-ietf-mobileip-lmm-requirements-00.txt

From: "Hongyi Li" <[email-masked]>
Date: Tue, 17 Jul 2001 11:28:23 -0400

Hi Carl,
  Thanks for editing the LMM requirements document. I have some comments on
this
document:

> 3.4.4 Optimized signaling within the administrative domain
> By its very nature, LMM reintroduces triangle routing into Mobile IPv6
> in that all traffic must go through the LMM agent. There is no way
> to avoid this. The LMM framework SHOULD be designed in such a way 
> that as to reduce the length of the unwanted triangle leg.

I would suggest to change this paragraph as following:

"By its very nature, LMM MAY reintroduce triangle routing into Mobile IPv6
in that all traffic must go through the LMM agent. The LMM framework
SHOULD be designed in such a way that as to reduce the length of the
unwanted triangle leg."

The reason for the change is that a network provider can avoid
re-introducing
triangle routing by designing its LMM domain with a single gateway and
deploying
one LMM agent per domain at the gateway. This is only one example to avoid
triangular routing. There might be other ways.

> 3.6 Sparse routing element population requirement
>
> The LMM framework SHOULD be supported, at the very minimum, by a sparse
> (proper subset) routing element population within a single
> administration domain.

Could you plaese explain what is the Sparse Routing Element and what is the
reason behind this requirement. Thanks.

Regards

Hongyi

> -----Original Message-----
> From: Carl Williams [mailto:[email-masked]]
> Sent: Friday, July 13, 2001 5:00 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [mobile-ip] draft-ietf-mobileip-lmm-requirements-00.txt
> 
> 
> 
> I have submitted the Localized Mobility Management (LMM)
> requirement document.  I am sending it out to the working
> group so to stir debate before the London IETF meeting.
> 
> If I missed someone in the acknowledgment section, let me know.
> I waded through all the MIP working group email debate - including
> what went on back in nov-dec timeframe to capture all the context
> for the requirements that Phil Roberts summarized in the list 
> he presented.
> While I sought to give finer details (and context) to 
> existing requirements, 
> new requirements were also added.
> 
> Thanks to all those who participated - please see acknowledgement
> section for all those who contributed.  Please try to start some
> debate so we can have a nice discussion in London.
> 
> Carl
> 
> 
> ------------- Begin Forwarded Message -------------
> 
> Date: Fri, 13 Jul 2001 13:38:32 -0700 (PDT)
> From: Carl Williams <[email-masked]>
> Subject: draft-ietf-mobileip-lmm-requirements-00.txt
> To: [email-masked]
> Cc: [email-masked], [email-masked], 
> [email-masked]
> MIME-Version: 1.0
> 
> 
> 
> 
> Attached is an individual Internet draft for submission to the
> mobileip working group.  The draft is
> draft-ietf-mobileip-lmm-requirements-00.txt.
> Please post it to the Internet Drafts area. Thanks....
> 
> 
> Carl
> 
> 
> Title:  Localized Mobility Management Requirements
> 
> Working Groups: mobileip
> 
> Abstract:
> 
> 
>    Mobile IP is required for hosts moving within the Internet 
> topology.
>    Mobile IP manages IP mobility resulting from the change in 
>    Care-of-Address when a host moves within the Internet topology. 
>    When a Mobile Node moves from one point of attachment to another,
>    a mobility binding update to the respective home agent and/or
>    correspondent node(s) occurs. Localized Mobility Management (LMM) 
>    refers to a method of handling mobility locally, restricting the
>    resultant signaling to a specific area, and possibly reducing the
>    amount of signaling. This document describes requirements which are
>    designed to guide development of optional extensions to 
> the Mobile IPv6 
>    protocol in providing for Localized Mobility Management 
> functionality. 
> 
>    
> Authors:  
> 
>   Carl Williams, Editor
> 
> ------------- End Forwarded Message -------------
> 
>